PRO read_netCDF 

  filename = 'CS20062762001_2B-GEOPROF_VERTICAL-MEAN_V1.0.nc'

  ;Open the netCDF file
  fid = NCDF_OPEN( filename, /NOWRITE )

  finq = NCDF_INQUIRE( fid )
  print, 'number of dimensions:',finq.ndims
  print, 'number of variables:',finq.nvars

  ; Dimension id acquisition
  nprof_id = NCDF_DIMID(fid, 'nprof')
  nbin_id = NCDF_DIMID(fid, 'nbin')

  ; Dimension name and size acquisition
  NCDF_DIMINQ, fid, nprof_id, name, nsize
  print, 'nprof_id   :',nprof_id
  print, 'nprof_name :',name
  print, 'nprof_size :',nsize
  NCDF_DIMINQ, fid, nbin_id, name, nsize
  print, 'nbin_id    :',nbin_id
  print, 'nbin_name  :',name
  print, 'nbin_size  :',nsize

  ; Get the varid of the data variable, based on its name
  lat_id = NCDF_VARID(fid, 'lat')
  lon_id = NCDF_VARID(fid, 'lon')
  ref_id = NCDF_VARID(fid, 'ref')

  ;Read the data
  NCDF_VARGET, fid, lat_id, lat_value
  NCDF_VARGET, fid, lon_id, lon_value
  NCDF_VARGET, fid, ref_id, ref_value

  ; Print data
  For nprof_idx=0,4 do begin
    print, 'lat[',nprof_idx,']          :',lat_value[nprof_idx]
    print, 'lon[',nprof_idx,']          :',lon_value[nprof_idx]
    For nbin_idx=0,2 do begin
      print, 'ref[',nprof_idx,'][',nbin_idx,']:',ref_value[nprof_idx,nbin_idx]
    Endfor
  Endfor

  NCDF_CLOSE, fid

END

